Delete Collection
curl --request DELETE \
--url https://api.replyke.com/api/v6/:projectId/api/v7/collections/:collectionIdimport requests
url = "https://api.replyke.com/api/v6/:projectId/api/v7/collections/:collectionId"
response = requests.delete(url)
print(response.text)const options = {method: 'DELETE'};
fetch('https://api.replyke.com/api/v6/:projectId/api/v7/collections/:collectionId', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
Collection Endpoints
Delete Collection
Delete a sub-collection
DELETE
/
:projectId
/
api
/
v7
/
collections
/
:collectionId
Delete Collection
Deletes a sub-collection and all its contents (cascade). The root collection cannot be deleted.
Returns
204 No Content on success.
Path Parameters
The ID of the collection to delete.
Error Responses
Collection Not Found — 404
Collection Not Found — 404
Returned when the collection doesn’t exist, doesn’t belong to the authenticated user, or is the root collection (which cannot be deleted).
{ "error": "Collection not found", "code": "collection/not-found" }
Server Error — 500
Server Error — 500
{ "error": "Server error", "code": "collection/server-error" }
⌘I

